summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core2010-05-11 20:00:03 +0200
committer Michiel van Wessem2010-05-11 20:00:03 +0200
commit7a91c87051900cafada0208fc3e3d5a36cdebbc1 (patch)
tree66d4e3f6a14711a59aa5e68a507f93ed39e086bc /desktop
parentfa2a24e122f15a3d65e574f105296116d62b1e96 (diff)
downloadslackbuilds-7a91c87051900cafada0208fc3e3d5a36cdebbc1.tar.gz
desktop/baghira: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/baghira/README12
-rw-r--r--desktop/baghira/baghira.SlackBuild59
-rw-r--r--desktop/baghira/baghira.info8
-rw-r--r--desktop/baghira/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/desktop/baghira/README b/desktop/baghira/README
new file mode 100644
index 0000000000..dfa5c5ca1e
--- /dev/null
+++ b/desktop/baghira/README
@@ -0,0 +1,12 @@
+baghira - A native theme/style for KDE 3.2+
+
+Baghira is a style package for KDE 3.2+ that resembles nearly
+the entire Mac OS X user interface in detail. When the correct
+settings are made, and the right tools are used, the KDE desktop
+can look like a real Mac OS X desktop.
+
+The name refers to the Panther of Kipling's famous Jungle Book
+(German spelling). You will probably rather know the Disney
+version... ;)
+
+Basically it's a perky imitation of Apple's OSX look
diff --git a/desktop/baghira/baghira.SlackBuild b/desktop/baghira/baghira.SlackBuild
new file mode 100644
index 0000000000..1a611f63c8
--- /dev/null
+++ b/desktop/baghira/baghira.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for baghira
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=baghira
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=`kde-config --prefix` || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --disable-debug \
+ --enable-shared=yes \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/baghira/baghira.info b/desktop/baghira/baghira.info
new file mode 100644
index 0000000000..e48c32f7fd
--- /dev/null
+++ b/desktop/baghira/baghira.info
@@ -0,0 +1,8 @@
+PRGNAM="baghira"
+VERSION="0.8"
+HOMEPAGE="http://baghira.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/baghira/baghira-0.8.tar.bz2"
+MD5SUM="d76e04020c628ba5de69d066a66221f8"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="BP{k}"
diff --git a/desktop/baghira/slack-desc b/desktop/baghira/slack-desc
new file mode 100644
index 0000000000..2c7779e82b
--- /dev/null
+++ b/desktop/baghira/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+baghira: baghira (A native theme/style for KDE 3.5+)
+baghira:
+baghira: Baghira is a style package for KDE 3.2+ that resembles nearly the
+baghira: entire Mac OS X user interface in detail. When the correct settings
+baghira: are made, and the right tools are used, the KDE desktop can look like
+baghira: a real Mac OS X desktop. The name refers to the Panther of Kipling's
+baghira: famous baghira: Jungle Book (German spelling). You will probably
+baghira: rather know the Disney version. Basically it's a perky imitation of
+baghira: Apple's OSX look
+baghira:
+baghira: Homepage: http://baghira.sourceforge.net